* [Overview](README.md)

* [Quickstart](#)
  * [Record traces on Android](quickstart/android-tracing.md)
  * [Record traces on Linux](quickstart/linux-tracing.md)
  * [SQL analysis and metrics](quickstart/trace-analysis.md)
  * [Trace conversion](quickstart/traceconv.md)
  * [Heap profiling](quickstart/heap-profiling.md)

* [Case studies](#)
  * [Debugging memory usage](case-studies/memory.md)

* [Data sources](#)
  * [Memory](#)
    * [Counters and events](data-sources/memory-counters.md)
    * [Native heap profiler](data-sources/native-heap-profiler.md)
    * [Java heap profiler](data-sources/java-heap-profiler.md)
  * [CPU](#)
    * [Scheduling events](data-sources/cpu-scheduling.md)
    * [System calls](data-sources/syscalls.md)
    * [Frequency scaling](data-sources/cpu-freq.md)
  * [Power](#)
    * [Battery counters and rails](data-sources/battery-counters.md)
  * [Android system](#)
    * [Atrace instrumentation](data-sources/atrace.md)
    * [Android log (logcat)](data-sources/android-log.md)

* [App Instrumentation](#)
  * [Tracing SDK](instrumentation/tracing-sdk.md)
  * [Track events](instrumentation/track-events.md)

* [Trace analysis](#)
  * [Trace Processor (SQL)](analysis/trace-processor.md)
  * [Trace-based metrics](analysis/metrics.md)
  * [SQL tables](analysis/sql-tables.autogen)
  * [Stats table](analysis/sql-stats.autogen)

* [Trace visualization](#)
  * [Perfetto UI](visualization/perfetto-ui.md)

* [Core concepts](#)
  * [Trace configuration](concepts/config.md)
  * [Buffers and dataflow](concepts/buffers.md)
  * [Service model](concepts/service-model.md)
  * [Clock synchronization](concepts/clock-sync.md)
  * [Detached mode](concepts/detached-mode.md)

* [Reference](#)
  * [Trace Config proto](reference/trace-config-proto.autogen)
  * [Trace Packet proto](reference/trace-packet-proto.autogen)
  * [perfetto cmdline](reference/perfetto-cli.md)
  * [heap_profile cmdline](reference/heap_profile-cli.md)

* [Contributing](#)
    * [Getting started](contributing/getting-started.md)
    * [Build instructions](contributing/build-instructions.md)
    * [Running tests](contributing/testing.md)
    * [Common tasks](contributing/common-tasks.md)
    * [Embedding Perfetto](contributing/embedding.md)
    * [Releasing the SDK](contributing/sdk-releasing.md)
    * [Chrome branches](contributing/chrome-branches.md)

* [Design documents](#)
    * [API and ABI surface](design-docs/api-and-abi.md)
    * [Heapprofd design](design-docs/heapprofd-design.md)
    * [Heapprofd wire protocol](design-docs/heapprofd-wire-protocol.md)
    * [Life of a tracing session](design-docs/life-of-a-tracing-session.md)
    * [Perfetto CI](design-docs/continuous-integration.md)
    * [ProtoZero](design-docs/protozero.md)
    * [Security model](design-docs/security-model.md)
